Index: LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90	(revision 5099)
@@ -5241,23 +5174,23 @@
 
 
-! Marine
-
-  IF (ok_airs) then
-
-  IF (itap==1.or.MOD(itap,NINT(freq_airs/phys_tstep))==0) THEN
-     write(*,*) 'je vais appeler simu_airs, ok_airs, freq_airs=', ok_airs, freq_airs
-     CALL simu_airs(itap,rneb, t_seri, cldemi, fiwc, ref_ice, pphi, pplay, paprs,&
-   map_prop_hc,map_prop_hist,&
-   map_emis_hc,map_iwp_hc,map_deltaz_hc,map_pcld_hc,map_tcld_hc,&
-   map_emis_Cb,map_pcld_Cb,map_tcld_Cb,&
-   map_emis_ThCi,map_pcld_ThCi,map_tcld_ThCi,&
-   map_emis_Anv,map_pcld_Anv,map_tcld_Anv,&
-   map_emis_hist,map_iwp_hist,map_deltaz_hist,map_rad_hist,&
-   map_ntot,map_hc,map_hist,&
-   map_Cb,map_ThCi,map_Anv,&
-   alt_tropo )
-  ENDIF
-
-  ENDIF  ! ok_airs
+    ! Marine
+
+    IF (ok_airs) then
+
+      IF (itap==1.or.MOD(itap, NINT(freq_airs / phys_tstep))==0) THEN
+        write(*, *) 'je vais appeler simu_airs, ok_airs, freq_airs=', ok_airs, freq_airs
+        CALL simu_airs(itap, rneb, t_seri, cldemi, fiwc, ref_ice, pphi, pplay, paprs, &
+                map_prop_hc, map_prop_hist, &
+                map_emis_hc, map_iwp_hc, map_deltaz_hc, map_pcld_hc, map_tcld_hc, &
+                map_emis_Cb, map_pcld_Cb, map_tcld_Cb, &
+                map_emis_ThCi, map_pcld_ThCi, map_tcld_ThCi, &
+                map_emis_Anv, map_pcld_Anv, map_tcld_Anv, &
+                map_emis_hist, map_iwp_hist, map_deltaz_hist, map_rad_hist, &
+                map_ntot, map_hc, map_hist, &
+                map_Cb, map_ThCi, map_Anv, &
+                alt_tropo)
+      ENDIF
+
+    ENDIF  ! ok_airs
 
 
@@ -5269,10 +5202,9 @@
     !   Calcul  des tendances traceurs
     !====================================================================
-    !
 
     IF (type_trac == 'repr') THEN
-!MM pas d'impact, car on recupere q_seri,tr_seri,t_seri via phys_local_var_mod
-!MM                               dans Reprobus
-       sh_in(:,:) = q_seri(:,:)
+      !MM pas d'impact, car on recupere q_seri,tr_seri,t_seri via phys_local_var_mod
+      !MM                               dans Reprobus
+      sh_in(:, :) = q_seri(:, :)
 #ifdef REPROBUS
        d_q_rep(:,:) = 0.
@@ -5281,55 +5213,55 @@
 #endif
     ELSE
-       sh_in(:,:) = qx(:,:,ivap)
-       IF (nqo >= 3) THEN 
-          ch_in(:,:) = qx(:,:,iliq) + qx(:,:,isol)
-       ELSE 
-          ch_in(:,:) = qx(:,:,iliq)
-       ENDIF
+      sh_in(:, :) = qx(:, :, ivap)
+      IF (nqo >= 3) THEN
+        ch_in(:, :) = qx(:, :, iliq) + qx(:, :, isol)
+      ELSE
+        ch_in(:, :) = qx(:, :, iliq)
+      ENDIF
     ENDIF
 
-#ifdef CPP_Dust
-    !  Avec SPLA, iflag_phytrac est forcé =1 
-    CALL       phytracr_spl ( debut,lafin , jD_cur,jH_cur,iflag_con,       &  ! I
-                      pdtphys,ftsol,                                   &  ! I
-                      t,q_seri,paprs,pplay,RHcl,                  &  ! I
-                      pmfu, pmfd, pen_u, pde_u, pen_d, pde_d,          &  ! I
-                      coefh(1:klon,1:klev,is_ave), cdragh, cdragm, u1, v1,                 &  ! I
-                      u_seri, v_seri, latitude_deg, longitude_deg,  &
-                      pphis,pctsrf,pmflxr,pmflxs,prfl,psfl,            &  ! I
-                      da,phi,phi2,d1a,dam,mp,ep,sigd,sij,clw,elij,     &  ! I
-                      epmlmMm,eplaMm,upwd,dnwd,itop_con,ibas_con,      &  ! I
-                      ev,wdtrainA,  wdtrainM,wght_cvfd,              &  ! I
-                      fm_therm, entr_therm, rneb,                      &  ! I
-                      beta_prec_fisrt,beta_prec, & !I
-                      zu10m,zv10m,wstar,ale_bl,ale_wake,               &  ! I
-                      d_tr_dyn,tr_seri)
-
-#else
-    IF (iflag_phytrac == 1 ) THEN
-      CALL phytrac ( &
-         itap,     days_elapsed+1,    jH_cur,   debut, &
-         lafin,    phys_tstep,     u, v,     t, &
-         paprs,    pplay,     pmfu,     pmfd, &
-         pen_u,    pde_u,     pen_d,    pde_d, &
-         cdragh,   coefh(1:klon,1:klev,is_ave),   fm_therm, entr_therm, &
-         u1,       v1,        ftsol,    pctsrf, &
-         zustar,   zu10m,     zv10m, &
-         wstar(:,is_ave),    ale_bl,         ale_wake, &
-         latitude_deg, longitude_deg, &
-         frac_impa,frac_nucl, beta_prec_fisrt,beta_prec, &
-         presnivs, pphis,     pphi,     albsol1, &
-         sh_in,   ch_in,    rhcl,      cldfra,   rneb, &
-         diafra,   radocond,    itop_con, ibas_con, &
-         pmflxr,   pmflxs,    prfl,     psfl, &
-         da,       phi,       mp,       upwd, &
-         phi2,     d1a,       dam,      sij, wght_cvfd, &        !<<RomP+RL
-         wdtrainA, wdtrainM,  sigd,     clw,elij, &   !<<RomP
-         ev,       ep,        epmlmMm,  eplaMm, &     !<<RomP
-         dnwd,     aerosol_couple,      flxmass_w, &
-         tau_aero, piz_aero,  cg_aero,  ccm, &
-         rfname, &
-         d_tr_dyn, &                                 !<<RomP
-         tr_seri, init_source)
+    IF (CPPKEY_DUST) THEN
+      !  Avec SPLA, iflag_phytrac est forcé =1
+      CALL       phytracr_spl (debut, lafin, jD_cur, jH_cur, iflag_con, &  ! I
+              pdtphys, ftsol, &  ! I
+              t, q_seri, paprs, pplay, RHcl, &  ! I
+              pmfu, pmfd, pen_u, pde_u, pen_d, pde_d, &  ! I
+              coefh(1:klon, 1:klev, is_ave), cdragh, cdragm, u1, v1, &  ! I
+              u_seri, v_seri, latitude_deg, longitude_deg, &
+              pphis, pctsrf, pmflxr, pmflxs, prfl, psfl, &  ! I
+              da, phi, phi2, d1a, dam, mp, ep, sigd, sij, clw, elij, &  ! I
+              epmlmMm, eplaMm, upwd, dnwd, itop_con, ibas_con, &  ! I
+              ev, wdtrainA, wdtrainM, wght_cvfd, &  ! I
+              fm_therm, entr_therm, rneb, &  ! I
+              beta_prec_fisrt, beta_prec, & !I
+              zu10m, zv10m, wstar, ale_bl, ale_wake, &  ! I
+              d_tr_dyn, tr_seri)
+
+    ELSE
+      IF (iflag_phytrac == 1) THEN
+        CALL phytrac (&
+                itap, days_elapsed + 1, jH_cur, debut, &
+                lafin, phys_tstep, u, v, t, &
+                paprs, pplay, pmfu, pmfd, &
+                pen_u, pde_u, pen_d, pde_d, &
+                cdragh, coefh(1:klon, 1:klev, is_ave), fm_therm, entr_therm, &
+                u1, v1, ftsol, pctsrf, &
+                zustar, zu10m, zv10m, &
+                wstar(:, is_ave), ale_bl, ale_wake, &
+                latitude_deg, longitude_deg, &
+                frac_impa, frac_nucl, beta_prec_fisrt, beta_prec, &
+                presnivs, pphis, pphi, albsol1, &
+                sh_in, ch_in, rhcl, cldfra, rneb, &
+                diafra, radocond, itop_con, ibas_con, &
+                pmflxr, pmflxs, prfl, psfl, &
+                da, phi, mp, upwd, &
+                phi2, d1a, dam, sij, wght_cvfd, &        !<<RomP+RL
+                wdtrainA, wdtrainM, sigd, clw, elij, &   !<<RomP
+                ev, ep, epmlmMm, eplaMm, &     !<<RomP
+                dnwd, aerosol_couple, flxmass_w, &
+                tau_aero, piz_aero, cg_aero, ccm, &
+                rfname, &
+                d_tr_dyn, &                                 !<<RomP
+                tr_seri, init_source)
 #ifdef REPROBUS
 
@@ -5345,42 +5277,39 @@
 
 #endif
-    ENDIF    ! (iflag_phytrac=1)
-
-#endif
+      ENDIF    ! (iflag_phytrac=1)
+
+    END IF
     !ENDIF    ! (iflag_phytrac=1)
 
     IF (offline) THEN
 
-       IF (prt_level>=9) &
-            print*,'Attention on met a 0 les thermiques pour phystoke'
-       CALL phystokenc ( &
-            nlon,klev,pdtphys,longitude_deg,latitude_deg, &
-            t,pmfu, pmfd, pen_u, pde_u, pen_d, pde_d, &
-            fm_therm,entr_therm, &
-            cdragh,coefh(1:klon,1:klev,is_ave),u1,v1,ftsol,pctsrf, &
-            frac_impa, frac_nucl, &
-            pphis,cell_area,phys_tstep,itap, &
-            qx(:,:,ivap),da,phi,mp,upwd,dnwd)
-
+      IF (prt_level>=9) &
+              print*, 'Attention on met a 0 les thermiques pour phystoke'
+      CALL phystokenc (&
+              nlon, klev, pdtphys, longitude_deg, latitude_deg, &
+              t, pmfu, pmfd, pen_u, pde_u, pen_d, pde_d, &
+              fm_therm, entr_therm, &
+              cdragh, coefh(1:klon, 1:klev, is_ave), u1, v1, ftsol, pctsrf, &
+              frac_impa, frac_nucl, &
+              pphis, cell_area, phys_tstep, itap, &
+              qx(:, :, ivap), da, phi, mp, upwd, dnwd)
 
     ENDIF
 
-    !
     ! Calculer le transport de l'eau et de l'energie (diagnostique)
-    !
-    CALL transp (paprs,zxtsol, t_seri, q_seri, ql_seri, qs_seri, u_seri, v_seri, zphi, &
-                 ue, ve, uq, vq, uwat, vwat)
-    !
+
+    CALL transp (paprs, zxtsol, t_seri, q_seri, ql_seri, qs_seri, u_seri, v_seri, zphi, &
+            ue, ve, uq, vq, uwat, vwat)
+
     !IM global posePB BEG
     IF(1==0) THEN
-       !
-       CALL transp_lay (paprs,zxtsol, t_seri, q_seri, u_seri, v_seri, zphi, &
-            ve_lay, vq_lay, ue_lay, uq_lay)
-       !
+
+      CALL transp_lay (paprs, zxtsol, t_seri, q_seri, u_seri, v_seri, zphi, &
+              ve_lay, vq_lay, ue_lay, uq_lay)
+
     ENDIF !(1.EQ.0) THEN
     !IM global posePB END
-    !
+
     ! Accumuler les variables a stocker dans les fichiers histoire:
-    !
 
     !================================================================
@@ -5389,10 +5318,10 @@
     !================================================================
 
-    d_t_ec(:,:)=0.
-    forall (k=1: nbp_lev) exner(:, k) = (pplay(:, k)/paprs(:,1))**RKAPPA
-    CALL ener_conserv(klon,klev,pdtphys,u,v,t,qx,ivap,iliq,isol, &
-         u_seri,v_seri,t_seri,q_seri,ql_seri,qs_seri,pbl_tke(:,:,is_ave)-tke0(:,:), &
-         zmasse,exner,d_t_ec)
-    t_seri(:,:)=t_seri(:,:)+d_t_ec(:,:)
+    d_t_ec(:, :) = 0.
+    forall (k = 1:nbp_lev) exner(:, k) = (pplay(:, k) / paprs(:, 1))**RKAPPA
+    CALL ener_conserv(klon, klev, pdtphys, u, v, t, qx, ivap, iliq, isol, &
+            u_seri, v_seri, t_seri, q_seri, ql_seri, qs_seri, pbl_tke(:, :, is_ave) - tke0(:, :), &
+            zmasse, exner, d_t_ec)
+    t_seri(:, :) = t_seri(:, :) + d_t_ec(:, :)
 
     !==================================================================
@@ -5402,51 +5331,51 @@
     !==================================================================
     IF (ok_water_mass_fixer) THEN
-    qql2(:)=0.0
-    DO k = 1, klev
-      qql2(:)=qql2(:)+(q_seri(:,k)+ql_seri(:,k))*zmasse(:,k)
-      IF (nqo >= 3) THEN
-        qql2(:)=qql2(:)+qs_seri(:,k)*zmasse(:,k)
-      ENDIF
-      IF (ok_bs) THEN
-        qql2(:)=qql2(:)+qbs_seri(:,k)*zmasse(:,k)
-      ENDIF
-    ENDDO
-
-IF (CPPKEY_STRATAER) THEN
-    IF (ok_qemiss) THEN
-       DO k = 1, klev
-          qql1(:) = qql1(:)+d_q_emiss(:,k)*zmasse(:,k)
-       ENDDO
-    ENDIF
-END IF
-    IF (ok_qch4) THEN
-       DO k = 1, klev
-          qql1(:) = qql1(:)+d_q_ch4_dtime(:,k)*zmasse(:,k)
-       ENDDO
-    ENDIF
-    
-    DO i = 1, klon
-      !--compute ratio of what q+ql should be with conservation to what it is
-      IF (ok_bs) THEN
-        corrqql=(qql1(i)+(evap(i)-rain_fall(i)-snow_fall(i)-bs_fall(i))*pdtphys)/qql2(i)
-      ELSE
-        corrqql=(qql1(i)+(evap(i)-rain_fall(i)-snow_fall(i))*pdtphys)/qql2(i)
-      ENDIF
+      qql2(:) = 0.0
       DO k = 1, klev
-        q_seri(i,k) =q_seri(i,k)*corrqql
-        ql_seri(i,k)=ql_seri(i,k)*corrqql
+        qql2(:) = qql2(:) + (q_seri(:, k) + ql_seri(:, k)) * zmasse(:, k)
         IF (nqo >= 3) THEN
-          qs_seri(i,k)=qs_seri(i,k)*corrqql
+          qql2(:) = qql2(:) + qs_seri(:, k) * zmasse(:, k)
         ENDIF
         IF (ok_bs) THEN
-          qbs_seri(i,k)=qbs_seri(i,k)*corrqql
+          qql2(:) = qql2(:) + qbs_seri(:, k) * zmasse(:, k)
         ENDIF
       ENDDO
-    ENDDO
+
+      IF (CPPKEY_STRATAER) THEN
+        IF (ok_qemiss) THEN
+          DO k = 1, klev
+            qql1(:) = qql1(:) + d_q_emiss(:, k) * zmasse(:, k)
+          ENDDO
+        ENDIF
+      END IF
+      IF (ok_qch4) THEN
+        DO k = 1, klev
+          qql1(:) = qql1(:) + d_q_ch4_dtime(:, k) * zmasse(:, k)
+        ENDDO
+      ENDIF
+
+      DO i = 1, klon
+        !--compute ratio of what q+ql should be with conservation to what it is
+        IF (ok_bs) THEN
+          corrqql = (qql1(i) + (evap(i) - rain_fall(i) - snow_fall(i) - bs_fall(i)) * pdtphys) / qql2(i)
+        ELSE
+          corrqql = (qql1(i) + (evap(i) - rain_fall(i) - snow_fall(i)) * pdtphys) / qql2(i)
+        ENDIF
+        DO k = 1, klev
+          q_seri(i, k) = q_seri(i, k) * corrqql
+          ql_seri(i, k) = ql_seri(i, k) * corrqql
+          IF (nqo >= 3) THEN
+            qs_seri(i, k) = qs_seri(i, k) * corrqql
+          ENDIF
+          IF (ok_bs) THEN
+            qbs_seri(i, k) = qbs_seri(i, k) * corrqql
+          ENDIF
+        ENDDO
+      ENDDO
     ENDIF
     !--fin mass fixer
 
     !cc prw  = eau precipitable
-    !   prlw = colonne eau liquide 
+    !   prlw = colonne eau liquide
     !   prlw = colonne eau solide
     !   prbsw = colonne neige soufflee
@@ -5459,19 +5388,19 @@
     water_budget(:) = 0.0
     DO k = 1, klev
-       prw(:)  = prw(:)  + q_seri(:,k)*zmasse(:,k)
-       prlw(:) = prlw(:) + ql_seri(:,k)*zmasse(:,k)
-       water_budget(:) = water_budget(:) + (q_seri(:,k)-qx(:,k,ivap)+ql_seri(:,k)-qx(:,k,iliq))*zmasse(:,k)
-       IF (nqo >= 3) THEN
-         prsw(:) = prsw(:) + qs_seri(:,k)*zmasse(:,k)
-         water_budget(:) = water_budget(:) + (qs_seri(:,k)-qx(:,k,isol))*zmasse(:,k)
-       ENDIF
-       IF (nqo >= 4 .AND. ok_bs) THEN
-         prbsw(:)= prbsw(:) + qbs_seri(:,k)*zmasse(:,k)
-         water_budget(:) = water_budget(:) + (qbs_seri(:,k)-qx(:,k,ibs))*zmasse(:,k)
-       ENDIF
+      prw(:) = prw(:) + q_seri(:, k) * zmasse(:, k)
+      prlw(:) = prlw(:) + ql_seri(:, k) * zmasse(:, k)
+      water_budget(:) = water_budget(:) + (q_seri(:, k) - qx(:, k, ivap) + ql_seri(:, k) - qx(:, k, iliq)) * zmasse(:, k)
+      IF (nqo >= 3) THEN
+        prsw(:) = prsw(:) + qs_seri(:, k) * zmasse(:, k)
+        water_budget(:) = water_budget(:) + (qs_seri(:, k) - qx(:, k, isol)) * zmasse(:, k)
+      ENDIF
+      IF (nqo >= 4 .AND. ok_bs) THEN
+        prbsw(:) = prbsw(:) + qbs_seri(:, k) * zmasse(:, k)
+        water_budget(:) = water_budget(:) + (qbs_seri(:, k) - qx(:, k, ibs)) * zmasse(:, k)
+      ENDIF
     ENDDO
-    water_budget(:)=water_budget(:)+(rain_fall(:)+snow_fall(:)-evap(:))*pdtphys
+    water_budget(:) = water_budget(:) + (rain_fall(:) + snow_fall(:) - evap(:)) * pdtphys
     IF (ok_bs) THEN
-      water_budget(:)=water_budget(:)+bs_fall(:)*pdtphys
+      water_budget(:) = water_budget(:) + bs_fall(:) * pdtphys
     ENDIF
 
@@ -5479,40 +5408,40 @@
     !   SORTIES
     !=======================================================================
-    !
+
     !IM initialisation + calculs divers diag AMIP2
-    !
+
     include "calcul_divers.h"
-    !
+
     !IM Interpolation sur les niveaux de pression du NMC
     !   -------------------------------------------------
-    !
+
     include "calcul_STDlev.h"
-    !
+
     ! slp sea level pressure derived from Arpege-IFS : CALL ctstar + CALL pppmer
-    CALL diag_slp(klon,t_seri,paprs,pplay,pphis,ptstar,pt0,slp)
-    !
-    !
-    IF (ANY(type_trac == ['inca','inco'])) THEN
-IF (CPPKEY_INCA) THEN
-       CALL VTe(VTphysiq)
-       CALL VTb(VTinca)
-
-       CALL chemhook_end ( &
-            phys_tstep, &
-            pplay, &
-            t_seri, &
-            tr_seri(:,:,1+nqCO2:nbtr), &
-            nbtr, &
-            paprs, &
-            q_seri, &
-            cell_area, &
-            pphi, &
-            pphis, &
-            zx_rh, &
-            aps, bps, ap, bp, lafin)
-
-       CALL VTe(VTinca)
-       CALL VTb(VTphysiq)
-END IF
+    CALL diag_slp(klon, t_seri, paprs, pplay, pphis, ptstar, pt0, slp)
+
+
+    IF (ANY(type_trac == ['inca', 'inco'])) THEN
+      IF (CPPKEY_INCA) THEN
+        CALL VTe(VTphysiq)
+        CALL VTb(VTinca)
+
+        CALL chemhook_end (&
+                phys_tstep, &
+                pplay, &
+                t_seri, &
+                tr_seri(:, :, 1 + nqCO2:nbtr), &
+                nbtr, &
+                paprs, &
+                q_seri, &
+                cell_area, &
+                pphi, &
+                pphis, &
+                zx_rh, &
+                aps, bps, ap, bp, lafin)
+
+        CALL VTe(VTinca)
+        CALL VTb(VTphysiq)
+      END IF
     ENDIF
 
@@ -5523,73 +5452,72 @@
     ENDIF
 
-    !
     ! Convertir les incrementations en tendances
-    !
+
     IF (prt_level >=10) THEN
-       print *,'Convertir les incrementations en tendances '
+      print *, 'Convertir les incrementations en tendances '
     ENDIF
-    !
+
     IF (mydebug) THEN
-       CALL writefield_phy('u_seri',u_seri,nbp_lev)
-       CALL writefield_phy('v_seri',v_seri,nbp_lev)
-       CALL writefield_phy('t_seri',t_seri,nbp_lev)
-       CALL writefield_phy('q_seri',q_seri,nbp_lev)
+      CALL writefield_phy('u_seri', u_seri, nbp_lev)
+      CALL writefield_phy('v_seri', v_seri, nbp_lev)
+      CALL writefield_phy('t_seri', t_seri, nbp_lev)
+      CALL writefield_phy('q_seri', q_seri, nbp_lev)
     ENDIF
 
     DO k = 1, klev
-       DO i = 1, klon
-          d_u(i,k) = ( u_seri(i,k) - u(i,k) ) / phys_tstep
-          d_v(i,k) = ( v_seri(i,k) - v(i,k) ) / phys_tstep
-          d_t(i,k) = ( t_seri(i,k)-t(i,k) ) / phys_tstep
-          d_qx(i,k,ivap) = ( q_seri(i,k) - qx(i,k,ivap) ) / phys_tstep
-          d_qx(i,k,iliq) = ( ql_seri(i,k) - qx(i,k,iliq) ) / phys_tstep
-          !CR: on ajoute le contenu en glace
-          IF (nqo >= 3) THEN
-             d_qx(i,k,isol) = ( qs_seri(i,k) - qx(i,k,isol) ) / phys_tstep
-          ENDIF
-          !--ice_sursat: nqo=4, on ajoute rneb
-          IF (nqo>=4 .and. ok_ice_sursat) THEN
-             d_qx(i,k,irneb) = ( rneb_seri(i,k) - qx(i,k,irneb) ) / phys_tstep
-          ENDIF
-
-           IF (nqo>=4 .and. ok_bs) THEN
-             d_qx(i,k,ibs) = ( qbs_seri(i,k) - qx(i,k,ibs) ) / phys_tstep
-          ENDIF
-
-       ENDDO
+      DO i = 1, klon
+        d_u(i, k) = (u_seri(i, k) - u(i, k)) / phys_tstep
+        d_v(i, k) = (v_seri(i, k) - v(i, k)) / phys_tstep
+        d_t(i, k) = (t_seri(i, k) - t(i, k)) / phys_tstep
+        d_qx(i, k, ivap) = (q_seri(i, k) - qx(i, k, ivap)) / phys_tstep
+        d_qx(i, k, iliq) = (ql_seri(i, k) - qx(i, k, iliq)) / phys_tstep
+        !CR: on ajoute le contenu en glace
+        IF (nqo >= 3) THEN
+          d_qx(i, k, isol) = (qs_seri(i, k) - qx(i, k, isol)) / phys_tstep
+        ENDIF
+        !--ice_sursat: nqo=4, on ajoute rneb
+        IF (nqo>=4 .and. ok_ice_sursat) THEN
+          d_qx(i, k, irneb) = (rneb_seri(i, k) - qx(i, k, irneb)) / phys_tstep
+        ENDIF
+
+        IF (nqo>=4 .and. ok_bs) THEN
+          d_qx(i, k, ibs) = (qbs_seri(i, k) - qx(i, k, ibs)) / phys_tstep
+        ENDIF
+
+      ENDDO
     ENDDO
-    !
+
     ! DC: All iterations are cycled if nqtot==nqo, so no nqtot>nqo condition required
     itr = 0
     DO iq = 1, nqtot
-       IF(.NOT.tracers(iq)%isInPhysics) CYCLE
-       itr = itr+1
-       DO  k = 1, klev
-          DO  i = 1, klon
-             d_qx(i,k,iq) = ( tr_seri(i,k,itr) - qx(i,k,iq) ) / phys_tstep
-          ENDDO
-       ENDDO
+      IF(.NOT.tracers(iq)%isInPhysics) CYCLE
+      itr = itr + 1
+      DO  k = 1, klev
+        DO  i = 1, klon
+          d_qx(i, k, iq) = (tr_seri(i, k, itr) - qx(i, k, iq)) / phys_tstep
+        ENDDO
+      ENDDO
     ENDDO
-    !
+
     !IM rajout diagnostiques bilan KP pour analyse MJO par Jun-Ichi Yano
     !IM global posePB      include "write_bilKP_ins.h"
     !IM global posePB      include "write_bilKP_ave.h"
-    !
+
     ! Sauvegarder les valeurs de t et q a la fin de la physique:
-    !
-    u_ancien(:,:)  = u_seri(:,:)
-    v_ancien(:,:)  = v_seri(:,:)
-    t_ancien(:,:)  = t_seri(:,:)
-    q_ancien(:,:)  = q_seri(:,:)
-    ql_ancien(:,:) = ql_seri(:,:)
-    qs_ancien(:,:) = qs_seri(:,:)
-    qbs_ancien(:,:) = qbs_seri(:,:)
-    rneb_ancien(:,:) = rneb_seri(:,:)
-    CALL water_int(klon,klev,q_ancien,zmasse,prw_ancien)
-    CALL water_int(klon,klev,ql_ancien,zmasse,prlw_ancien)
-    CALL water_int(klon,klev,qs_ancien,zmasse,prsw_ancien)
-    CALL water_int(klon,klev,qbs_ancien,zmasse,prbsw_ancien)
+
+    u_ancien(:, :) = u_seri(:, :)
+    v_ancien(:, :) = v_seri(:, :)
+    t_ancien(:, :) = t_seri(:, :)
+    q_ancien(:, :) = q_seri(:, :)
+    ql_ancien(:, :) = ql_seri(:, :)
+    qs_ancien(:, :) = qs_seri(:, :)
+    qbs_ancien(:, :) = qbs_seri(:, :)
+    rneb_ancien(:, :) = rneb_seri(:, :)
+    CALL water_int(klon, klev, q_ancien, zmasse, prw_ancien)
+    CALL water_int(klon, klev, ql_ancien, zmasse, prlw_ancien)
+    CALL water_int(klon, klev, qs_ancien, zmasse, prsw_ancien)
+    CALL water_int(klon, klev, qbs_ancien, zmasse, prbsw_ancien)
     ! !! RomP >>>
-    IF (nqtot > nqo) tr_ancien(:,:,:) = tr_seri(:,:,:)
+    IF (nqtot > nqo) tr_ancien(:, :, :) = tr_seri(:, :, :)
     ! !! RomP <<<
     !==========================================================================
@@ -5601,41 +5529,41 @@
 
     IF (prt_level>=1) THEN
-       write(lunout,*) 'FIN DE PHYSIQ !!!!!!!!!!!!!!!!!!!!'
-       write(lunout,*) &
-            'nlon,klev,nqtot,debut,lafin,jD_cur, jH_cur, pdtphys pct tlos'
-       write(lunout,*) &
-            nlon,klev,nqtot,debut,lafin, jD_cur, jH_cur ,pdtphys, &
-            pctsrf(igout,is_ter), pctsrf(igout,is_lic),pctsrf(igout,is_oce), &
-            pctsrf(igout,is_sic)
-       write(lunout,*) 'd_t_dyn,d_t_con,d_t_lsc,d_t_ajsb,d_t_ajs,d_t_eva'
-       DO k=1,klev
-          write(lunout,*) d_t_dyn(igout,k),d_t_con(igout,k), &
-               d_t_lsc(igout,k),d_t_ajsb(igout,k),d_t_ajs(igout,k), &
-               d_t_eva(igout,k)
-       ENDDO
-       write(lunout,*) 'cool,heat'
-       DO k=1,klev
-          write(lunout,*) cool(igout,k),heat(igout,k)
-       ENDDO
-
-       !jyg<     (En attendant de statuer sur le sort de d_t_oli)
-       !jyg!     write(lunout,*) 'd_t_oli,d_t_vdf,d_t_oro,d_t_lif,d_t_ec'
-       !jyg!     do k=1,klev
-       !jyg!        write(lunout,*) d_t_oli(igout,k),d_t_vdf(igout,k), &
-       !jyg!             d_t_oro(igout,k),d_t_lif(igout,k),d_t_ec(igout,k)
-       !jyg!     enddo
-       write(lunout,*) 'd_t_vdf,d_t_oro,d_t_lif,d_t_ec'
-       DO k=1,klev
-          write(lunout,*) d_t_vdf(igout,k), &
-               d_t_oro(igout,k),d_t_lif(igout,k),d_t_ec(igout,k)
-       ENDDO
-       !>jyg
-
-       write(lunout,*) 'd_ps ',d_ps(igout)
-       write(lunout,*) 'd_u, d_v, d_t, d_qx1, d_qx2 '
-       DO k=1,klev
-          write(lunout,*) d_u(igout,k),d_v(igout,k),d_t(igout,k), &
-               d_qx(igout,k,1),d_qx(igout,k,2)
-       ENDDO
+      write(lunout, *) 'FIN DE PHYSIQ !!!!!!!!!!!!!!!!!!!!'
+      write(lunout, *) &
+              'nlon,klev,nqtot,debut,lafin,jD_cur, jH_cur, pdtphys pct tlos'
+      write(lunout, *) &
+              nlon, klev, nqtot, debut, lafin, jD_cur, jH_cur, pdtphys, &
+              pctsrf(igout, is_ter), pctsrf(igout, is_lic), pctsrf(igout, is_oce), &
+              pctsrf(igout, is_sic)
+      write(lunout, *) 'd_t_dyn,d_t_con,d_t_lsc,d_t_ajsb,d_t_ajs,d_t_eva'
+      DO k = 1, klev
+        write(lunout, *) d_t_dyn(igout, k), d_t_con(igout, k), &
+                d_t_lsc(igout, k), d_t_ajsb(igout, k), d_t_ajs(igout, k), &
+                d_t_eva(igout, k)
+      ENDDO
+      write(lunout, *) 'cool,heat'
+      DO k = 1, klev
+        write(lunout, *) cool(igout, k), heat(igout, k)
+      ENDDO
+
+      !jyg<     (En attendant de statuer sur le sort de d_t_oli)
+      !jyg!     write(lunout,*) 'd_t_oli,d_t_vdf,d_t_oro,d_t_lif,d_t_ec'
+      !jyg!     do k=1,klev
+      !jyg!        write(lunout,*) d_t_oli(igout,k),d_t_vdf(igout,k), &
+      !jyg!             d_t_oro(igout,k),d_t_lif(igout,k),d_t_ec(igout,k)
+      !jyg!     enddo
+      write(lunout, *) 'd_t_vdf,d_t_oro,d_t_lif,d_t_ec'
+      DO k = 1, klev
+        write(lunout, *) d_t_vdf(igout, k), &
+                d_t_oro(igout, k), d_t_lif(igout, k), d_t_ec(igout, k)
+      ENDDO
+      !>jyg
+
+      write(lunout, *) 'd_ps ', d_ps(igout)
+      write(lunout, *) 'd_u, d_v, d_t, d_qx1, d_qx2 '
+      DO k = 1, klev
+        write(lunout, *) d_u(igout, k), d_v(igout, k), d_t(igout, k), &
+                d_qx(igout, k, 1), d_qx(igout, k, 2)
+      ENDDO
     ENDIF
 
@@ -5644,19 +5572,18 @@
     !============================================================
     DO k = 1, klev
-       DO i = 1, klon
-          !JYG/IM theta en debut du pas de temps
-          !JYG/IM       theta(i,k)=t(i,k)*(100000./pplay(i,k))**(RD/RCPD)
-          !JYG/IM theta en fin de pas de temps de physique
-          theta(i,k)=t_seri(i,k)*(100000./pplay(i,k))**(RD/RCPD)
-          ! thetal: 2 lignes suivantes a decommenter si vous avez les fichiers
-          !     MPL 20130625
-          ! fth_fonctions.F90 et parkind1.F90
-          ! sinon thetal=theta
-          !       thetal(i,k)=fth_thetal(pplay(i,k),t_seri(i,k),q_seri(i,k),
-          !    :         ql_seri(i,k))
-          thetal(i,k)=theta(i,k)
-       ENDDO
+      DO i = 1, klon
+        !JYG/IM theta en debut du pas de temps
+        !JYG/IM       theta(i,k)=t(i,k)*(100000./pplay(i,k))**(RD/RCPD)
+        !JYG/IM theta en fin de pas de temps de physique
+        theta(i, k) = t_seri(i, k) * (100000. / pplay(i, k))**(RD / RCPD)
+        ! thetal: 2 lignes suivantes a decommenter si vous avez les fichiers
+        !     MPL 20130625
+        ! fth_fonctions.F90 et parkind1.F90
+        ! sinon thetal=theta
+        !       thetal(i,k)=fth_thetal(pplay(i,k),t_seri(i,k),q_seri(i,k),
+        !    :         ql_seri(i,k))
+        thetal(i, k) = theta(i, k)
+      ENDDO
     ENDDO
-    !
 
     ! 22.03.04 BEG
@@ -5667,5 +5594,5 @@
 
     ! Recupere des varibles calcule dans differents modules
-    ! pour ecriture dans histxxx.nc 
+    ! pour ecriture dans histxxx.nc
 
     ! Get some variables from module fonte_neige_mod
@@ -5704,5 +5631,5 @@
     !On effectue les sorties:
 
-#ifdef CPP_Dust
+IF (CPPKEY_DUST) THEN
   CALL phys_output_write_spl(itap, pdtphys, paprs, pphis,  &
        pplay, lmax_th, aerosol_couple,                 &
@@ -5711,12 +5638,12 @@
        ptconvth, d_t, qx, d_qx, d_tr_dyn, zmasse,      &
        flag_aerosol, flag_aerosol_strat, ok_cdnc)
-#else
+ELSE
     CALL phys_output_write(itap, pdtphys, paprs, pphis,  &
          pplay, lmax_th, aerosol_couple,                 &
-         ok_ade, ok_aie, ok_volcan, ivap, iliq, isol, ibs,   & 
+         ok_ade, ok_aie, ok_volcan, ivap, iliq, isol, ibs,   &
          ok_sync, ptconv, read_climoz, clevSTD,          &
          ptconvth, d_u, d_t, qx, d_qx, zmasse,           &
          flag_aerosol, flag_aerosol_strat, ok_cdnc,t, u1, v1)
-#endif
+END IF
 
     IF (.NOT. using_xios) THEN
@@ -5726,6 +5653,6 @@
 #endif
     ! Petit appelle de sorties pour accompagner le travail sur phyex
-    if ( iflag_physiq == 1 ) then
-        call output_physiqex(debut,jD_eq,pdtphys,presnivs,paprs,u,v,t,qx,cldfra,0.*t,0.*t,0.*t,pbl_tke,theta)
+    if (iflag_physiq == 1) then
+      call output_physiqex(debut, jD_eq, pdtphys, presnivs, paprs, u, v, t, qx, cldfra, 0. * t, 0. * t, 0. * t, pbl_tke, theta)
     endif
 
@@ -5736,51 +5663,49 @@
 
     IF (abortphy==1) THEN
-       abort_message ='Plantage hgardfou'
-       CALL abort_physic (modname,abort_message,1)
+      abort_message = 'Plantage hgardfou'
+      CALL abort_physic (modname, abort_message, 1)
     ENDIF
 
     ! 22.03.04 END
-    !
+
     !====================================================================
     ! Si c'est la fin, il faut conserver l'etat de redemarrage
     !====================================================================
-    !
 
     ! Disabling calls to the prt_alerte function
     alert_first_call = .FALSE.
 
-    
     IF (lafin) THEN
-       itau_phy = itau_phy + itap
-       CALL phyredem ("restartphy.nc")
-       !         open(97,form="unformatted",file="finbin")
-       !         write(97) u_seri,v_seri,t_seri,q_seri
-       !         close(97)
-      
-       IF (is_omp_master) THEN
-       
-         IF (read_climoz >= 1) THEN
-           IF (is_mpi_root) CALL nf95_close(ncid_climoz)
-            DEALLOCATE(press_edg_climoz)
-            DEALLOCATE(press_cen_climoz)
-         ENDIF
-       
-       ENDIF
-
-       IF (using_xios) THEN
-
-IF (CPPKEY_INCA) THEN
-          IF (type_trac == 'inca') THEN 
-             IF (is_omp_master .AND. grid_type==unstructured) THEN 
-                CALL finalize_inca
-             ENDIF
+      itau_phy = itau_phy + itap
+      CALL phyredem ("restartphy.nc")
+      !         open(97,form="unformatted",file="finbin")
+      !         write(97) u_seri,v_seri,t_seri,q_seri
+      !         close(97)
+
+      IF (is_omp_master) THEN
+
+        IF (read_climoz >= 1) THEN
+          IF (is_mpi_root) CALL nf95_close(ncid_climoz)
+          DEALLOCATE(press_edg_climoz)
+          DEALLOCATE(press_cen_climoz)
+        ENDIF
+
+      ENDIF
+
+      IF (using_xios) THEN
+
+        IF (CPPKEY_INCA) THEN
+          IF (type_trac == 'inca') THEN
+            IF (is_omp_master .AND. grid_type==unstructured) THEN
+              CALL finalize_inca
+            ENDIF
           ENDIF
-END IF
-
-          IF (is_omp_master .and. grid_type==unstructured) CALL xios_context_finalize
-       ENDIF
-
-       WRITE(lunout,*) ' physiq fin, nombre de steps ou cvpas = 1 : ', Ncvpaseq1
-       
+        END IF
+
+        IF (is_omp_master .and. grid_type==unstructured) CALL xios_context_finalize
+      ENDIF
+
+      WRITE(lunout, *) ' physiq fin, nombre de steps ou cvpas = 1 : ', Ncvpaseq1
+
     ENDIF
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/physiqex_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/physiqex_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/physiqex_mod.F90	(revision 5099)
@@ -23,7 +23,6 @@
 
       IMPLICIT none
-!
+
 ! Routine argument:
-!
 
       integer,intent(in) :: nlon ! number of atmospheric colums
